KLA11163
Multiple vulnerabilities in Mozilla Thunderbird
Updated: 12/25/2017
CVSS
?
7.5
Detect date
?
12/22/2017
Severity
?
Critical
Description

Multiple serious vulnerabilities have been found in Mozilla Thunderbird. Malicious users can exploit these vulnerabilities to cause denial of service, execute arbitrary code, obtain sensitive information, inject arbitrary code or spoof user interface.

  1. A buffer overflow vulnerability in Direct 3D 9 component can be exploited remotely to cause denial of service;

  2. A vulnerability, related with displaying of RSS feed can be exploited remotely to execute arbitrary code;

  3. A vulnerability, related with crafting CSS in an RSS feed can be exploited remotely to obtain sensitive information;

  4. A vulnerability, related with creating email structure can be exploited remotely to inject arbitrary HTML;

  5. A vulnerability, related with displaying of email address name can be exploited remotely to spoof user interface;

Technical details

NB: This vulnerability does not have any public CVSS rating, so rating can be changed by the time.

Affected products

Mozilla Thunderbird versions earlier than 52.5.2

Solution

Update to the latest version
Mozilla Thunderbird download page

Original advisories

Mozilla Foundation Security Advisory 2017-30

Impacts
?
SUI 
[?]

CI 
[?]

ACE 
[?]

OSI 
[?]

DoS 
[?]
Related products
Mozilla Thunderbird ESR
Mozilla Thunderbird
CVE-IDS
?

CVE-2017-7829
CVE-2017-7848
CVE-2017-7847
CVE-2017-7846
CVE-2017-7845